blob: 5d231af78f47545e7e9d46318eb6b87122894ef5 [file] [log] [blame]
# vpython VirtualEnv installation package for Recipe Engine.
python_version: "3.8"
verify_pep425_tag: [
{python: "cp38", abi: "cp38", platform: "manylinux1_x86_64"},
{python: "cp38", abi: "cp38", platform: "linux_arm64"},
{python: "cp38", abi: "cp38", platform: "macosx_10_10_intel"},
{python: "cp38", abi: "cp38", platform: "macosx_11_0_arm64"},
{python: "cp38", abi: "cp38", platform: "win32"},
{python: "cp38", abi: "cp38", platform: "win_amd64"}
]
wheel: <
name: "infra/python/wheels/coverage/${vpython_platform}"
version: "version:5.5.chromium.2"
>
wheel: <
name: "infra/python/wheels/six-py2_py3"
version: "version:1.15.0"
>
wheel: <
name: "infra/python/wheels/requests-py2_py3"
version: "version:2.25.1"
>
wheel: <
name: "infra/python/wheels/chardet-py2_py3"
version: "version:4.0.0"
>
wheel: <
name: "infra/python/wheels/idna-py2_py3"
version: "version:2.8"
>
wheel: <
name: "infra/python/wheels/urllib3-py2_py3"
version: "version:1.26.4"
>
wheel: <
name: "infra/python/wheels/certifi-py2_py3"
version: "version:2020.4.5.1"
>
wheel: <
name: "infra/python/wheels/protobuf-py2_py3"
# NOTE: This MUST have a matching version of:
# infra/tools/protoc/${{platform}}
version: "version:3.15.8"
>
wheel: <
name: "infra/python/wheels/astunparse-py2_py3"
version: "version:1.6.3"
>
wheel: <
name: "infra/python/wheels/attrs-py2_py3"
version: "version:20.3.0"
>
## Gevent
wheel: <
name: "infra/python/wheels/gevent/${vpython_platform}"
version: "version:1.5.0"
>
wheel: <
name: "infra/python/wheels/greenlet/${vpython_platform}"
version: "version:0.4.15.chromium.1"
>
wheel: <
name: "infra/python/wheels/cffi/${vpython_platform}"
version: "version:1.14.5.chromium.3"
>
wheel: <
name: "infra/python/wheels/pycparser-py2_py3"
version: "version:2.19"
>
wheel: <
name: "infra/python/wheels/psutil/${vpython_platform}"
version: "version:5.7.2"
>
wheel: <
name: "infra/python/wheels/pympler-py2_py3"
version: "version:0.8"
>
wheel: <
name: "infra/python/wheels/future-py2_py3"
version: "version:0.18.2"
>
wheel: <
name: "infra/python/wheels/parameterized-py2_py3"
version: "version:0.8.1"
>